/* $Id: nws_err.h,v 1.4 2002/03/12 15:24:00 mquinson Exp $ */

/* nws_err - NWS error handling subsystem  */

#ifndef NWS_ERR_H
#define NWS_ERR_H

/* get the string associated to #errcode# */
const char *nws_perror(int errcode);

/*====[ list the known errcodes ]============================================*/

/*----[ Generic stuff ]------------------------------------------------------*/
#define NWSERR_SUCCES   0 /* Succes, no error  */
#define NWSERR_NOMEM    1 /* Not enough memory */
#define NWSERR_PARSE    2 /* Parse error       */

/*----[ Cache stuff ]--------------------------------------------------------*/
#define NWSERR_BADMAGIC 30 /* invalid cast => bad magic */
#define NWSERR_NOTFOUND 31 /* data not found */
#define NWSERR_FULL     32 /* datacontainer full */
#define NWSERR_INTERNAL 50 /* Damnit ! internal error */

#endif /* NWS_ERR_H */
