/* $Id: nws_err.c,v 1.3 2002/02/22 04:21:22 mquinson Exp $ */

/* nws_err - error handeling in NWS */

#include "nws_err.h"

/* returns the string associated with this errcode */
const char *nws_perror(int errcode) {
  switch (errcode) {
    /* generic stuff */
  case NWSERR_SUCCES: return "Succes, no error";
  case NWSERR_NOMEM:  return "Not enough memory";
  case NWSERR_PARSE: return "Parse error";

    /* cache stuff */
  case NWSERR_BADMAGIC: 
    return "Damnit! Data have the bad magic number. Wrong cast";
  case NWSERR_NOTFOUND: return "Data not found";
  case NWSERR_FULL: return "Data container full";

    /* other */
  case NWSERR_INTERNAL: return "Damnit! internal error";

  default: return "Damnit! unknown error";
  }
}
