/* Include/config.h.  Generated automatically by configure.  */
/* $Id: config.h.in,v 1.41 2001/09/28 04:28:33 swany Exp $ */

#ifndef CONFIG_H
#define CONFIG_H

#ifndef NULL
#  define NULL 0
#endif

/* Preserve 2.0 interface with this definition */
/* #undef NWS_API_COMPAT */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef pid_t */

/* Define if you have the alarm function.  */
#define HAVE_ALARM 1

/* Define if you have the getrusage function.  */
#define HAVE_GETRUSAGE 1

/* Define if you have the sighold function.  */
#define HAVE_SIGHOLD 1

/* Define if you have the sigrelse function.  */
#define HAVE_SIGRELSE 1

/* Define if you have the statvfs function.  */
#define HAVE_STATVFS 1

/* Define if you have the sys/vfs.h header.  */
#define HAVE_SYS_VFS_H 1

/* Define if you have the sysconf function.  */
#define HAVE_SYSCONF 1

/* Define if you have the getpgid function.  */
#define HAVE_GETPGID 1

/* Define to the type pointed to by the third parameter of getpeername(). */
#define SOCKLEN_T socklen_t

/* Define to the (char *) version of the NWS sources. */
#define VERSION "2.1b1"

/* Define as the path to the `uptime' program. */
#define UPTIME_PATH "/usr/bin/uptime"

/* Define as the path to the `vmstat' program. */
#define VMSTAT_PATH "/usr/bin/vmstat"

/* in some realloc()s, realloc(ptr, 0) != free(ptr) */
#define REALLOC_NOT_POSIX 

#define PS "/bin/ps"

#define AWK "/usr/bin/awk"

/* #undef WITH_NETLOGGER */

/* #undef WITH_LDAP */

/* #undef WITH_THREAD */

#define MALLOC(size) malloc ((size)==0?1:(size))

#ifdef REALLOC_NOT_POSIX
#define REALLOC(ptr,size) (((size > 0)?((ptr == NULL)?malloc(size):\
	realloc(ptr,size)):((ptr == NULL)?NULL:(free(ptr),NULL))))
#else
#define REALLOC(ptr,size) realloc(ptr,size)
#endif

#endif
